Math.random = function () {
    return 0.08636862211354912

}
var HN = new RegExp("[\\u007F-\\uFFFF]", "g");

function BB(ZY) {
    return "\\u" + ("0000" + ZY.charCodeAt(0).toString(16)).substr(-4);
}

function V0(QO, Y0) {
    var y2 = Y0;
    var l4 = QO;
    return function () {
        var oT = l4;
        oT ^= oT << 23;
        oT ^= oT >> 17;
        var mu = y2;
        oT ^= mu;
        oT ^= mu >> 26;
        y2 = oT;
        l4 = mu;
        return (l4 + y2) % 4294967296;
    };
}

function encodeStr(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var P4 = V0(key, gs);
    console.log(P4)
    var OI = [];
    var IL = 0;
    while (IL < 61) {
        OI.push(P4() & 255);
        IL += 1;
    }
    var Jd = OI;
    var RX = Jd;
    console.log(RX + '')
    // ‌138,214,249,70,110,185,136,16,25,80,158,117,5,82,175,204,248,121,181,232,97,105,29,197,160,71,117,192,134,46,225,23,71,64,214,122,21,83,14,187,132,145,243,169,8,89,106,146,44,245,223,179,228,173,71,39,36,232,157,82,200


    var w4 = JSON.stringify(ax, function (JY, ds) {
        return ds === undefined ? null : ds;
    });
    var Tp = w4.replace(HN, BB);
    var K6 = [];
    var bW = 0;
    while (bW < Tp.length) {
        K6.push(Tp.charCodeAt(bW));
        bW += 1;
    }
    var hf = K6;
    var Rc = hf;
    var SE = Rc.length;
    var sk = [];
    var Nj = SE - 1;
    while (Nj >= 0) {
        sk.push(Rc[Nj]);
        Nj -= 1;
    }
    var c3 = sk;
    var Zb = c3.length;
    var SU = RX["slice"](0, 29).length;
    var bE = [];
    var el = 113;
    var Og = 0;
    while (Og < Zb) {
        var YI = c3[Og];
        var v6 = RX["slice"](0, 29)[Og % SU];
        var bq = YI ^ v6 ^ el;
        bE.push(bq);
        el = bq;
        Og += 1;
    }
    var K7 = bE;
    var K3 = K7.length;
    var vJ = RX["slice"](29, 60).length;
    var LW = [];
    var y1 = 113;
    var P_ = 0;
    while (P_ < K3) {
        var H0 = K7[P_];
        var nz = RX["slice"](29, 60)[P_ % vJ];
        var hg = H0 ^ nz ^ y1;
        LW.push(hg);
        y1 = hg;
        P_ += 1;
    }
    var EO = LW;
    var vd = [];
    for (var G5 in EO) {
        var rE = EO[G5];
        if (EO.hasOwnProperty(G5)) {
            vd.push(rE);
        }
    }
    var sU = vd;
    var ER = sU;
    var mA = ER.length;
    var Ay = 0;
    while (Ay + 1 < mA) {
        var Zk = ER[Ay];
        ER[Ay] = ER[Ay + 1];
        ER[Ay + 1] = Zk;
        Ay += 2;
    }
    var O9 = ER;
    var qn = [];
    for (var Eu in O9) {
        var Wx = O9[Eu];
        if (O9.hasOwnProperty(Eu)) {
            var xd = String.fromCharCode(Wx);
            qn.push(xd);
        }
    }
    var IT = btoa(qn.join(""));
    return IT

}

function encodeStrObj(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var P4 = V0(key, gs);
    var OI = [];
    var IL = 0;
    while (IL < 19) {
        OI.push(P4() & 255);
        IL += 1;
    }
    var Jd = OI;
    var Bb = Jd;
    var w4 = JSON.stringify(ax, function (JY, ds) {
        return ds === undefined ? null : ds;
    });
    var m3 = w4.replace(HN, BB);
    var M6 = [];
    var o5 = 0;
    while (o5 < m3.length) {
        M6.push(m3.charCodeAt(o5));
        o5 += 1;
    }
    var rD = M6;
    var Vg = rD;
    var GD = Vg.length;
    var x9 = Bb[0] % 7 + 1;
    var hR = [];
    var e3 = 0;
    while (e3 < GD) {
        hR.push((Vg[e3] << x9 | Vg[e3] >> 8 - x9) & 255);
        e3 += 1;
    }
    var d5 = hR;
    var pn = d5.length;
    var RC = [];
    var rP = 0;
    while (rP < pn) {
        RC.push(d5[(rP + Bb[1]) % pn]);
        rP += 1;
    }
    var mW = RC;
    var OK = mW.length;
    var Oo = Bb["slice"](2, 18).length;
    var No = [];
    var MT = 0;
    while (MT < OK) {
        var fZ = mW[MT];
        var wJ = Bb["slice"](2, 18)[MT % Oo] & 127;
        No.push((fZ + wJ) % 256 ^ 128);
        MT += 1;
    }
    var PZ = No;
    var UR = [];
    for (var DA in PZ) {
        var Dt = PZ[DA];
        if (PZ.hasOwnProperty(DA)) {
            UR.push(Dt);
        }
    }
    var El = UR;
    var d7 = El;
    var KL = d7.length;
    var IF = 0;
    while (IF + 1 < KL) {
        var i2 = d7[IF];
        d7[IF] = d7[IF + 1];
        d7[IF + 1] = i2;
        IF += 2;
    }
    var ZH = d7;
    var d6 = [];
    for (var ts in ZH) {
        var Gc = ZH[ts];
        if (ZH.hasOwnProperty(ts)) {
            var Dm = String.fromCharCode(Gc);
            d6.push(Dm);
        }
    }
    var B_ = btoa(d6.join(""));
    return B_
}


console.log(encodeStr(1, 2328399149))


function encode30(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var nk = V0(key, gs);
    var sy = [];
    var xH = 0;
    while (xH < 30) {
        sy.push(nk() & 255);
        xH += 1;
    }
    var od = sy;
    var to = od;
    var sg = JSON.stringify(ax, function (zg, W9) {
        return W9 === undefined ? null : W9;
    });
    var YX = sg.replace(HN, BB);
    var mq = [];
    var vO = 0;
    while (vO < YX.length) {
        mq.push(YX.charCodeAt(vO));
        vO += 1;
    }
    var KU = mq;
    var Pd = KU;
    var N2 = Pd.length;
    var R_ = [];
    var bZ = N2 - 1;
    while (bZ >= 0) {
        R_.push(Pd[bZ]);
        bZ -= 1;
    }
    var Io = R_;
    var jp = Io.length;
    var jf = to["slice"](0, 29).length;
    var ac = [];
    var J8 = 113;
    var kr = 0;
    while (kr < jp) {
        var V_ = Io[kr];
        var MQ = to["slice"](0, 29)[kr % jf];
        var XY = V_ ^ MQ ^ J8;
        ac.push(XY);
        J8 = XY;
        kr += 1;
    }
    var WE = ac;
    var mg = [];
    for (var iA in WE) {
        var kT = WE[iA];
        if (WE.hasOwnProperty(iA)) {
            var gj = String.fromCharCode(kT);
            mg.push(gj);
        }
    }
    var OB = btoa(mg.join(""));
    return OB;
}


console.log(encode30('1709003020687', 4293051610))
console.log(encode30('vq9nCA', 4293051610))


function encodeStr53(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var tt = V0(key, gs);
    var ES = [];
    var K_ = 0;
    while (K_ < 53) {
        ES.push(tt() & 255);
        K_ += 1;
    }
    var eb = ES;
    var wc = eb;
    var XK = JSON.stringify(ax, function (F6, KV) {
        return KV === undefined ? null : KV;
    });
    var nF = XK.replace(HN, BB);
    var f9 = [];
    var Q1 = 0;
    while (Q1 < nF.length) {
        f9.push(nF.charCodeAt(Q1));
        Q1 += 1;
    }
    var WM = f9;
    var RH = WM;
    var uE = RH.length;
    var Nd = wc["slice"](0, 28).length;
    var tV = [];
    var wP = 0;
    while (wP < uE) {
        tV.push(RH[wP]);
        tV.push(wc["slice"](0, 28)[wP % Nd]);
        wP += 1;
    }
    var Ks = tV;
    var JK = Ks.length;
    var QQ = wc["slice"](28, 52).length;
    var Rv = [];
    var BD = 113;
    var jn = 0;
    while (jn < JK) {
        var SW = Ks[jn];
        var Sn = wc["slice"](28, 52)[jn % QQ];
        var a6 = SW ^ Sn ^ BD;
        Rv.push(a6);
        BD = a6;
        jn += 1;
    }
    var UU = Rv;
    var db = [];
    for (var yM in UU) {
        var rc = UU[yM];
        if (UU.hasOwnProperty(yM)) {
            var ll = String.fromCharCode(rc);
            db.push(ll);
        }
    }
    var pw = btoa(db.join(""));
    return pw;

}

console.log(encodeStr53('1709003020687', 1624825960, 53))

function encodeStr18(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var mj = V0(key, gs);
    var te = [];
    var L3 = 0;
    while (L3 < 18) {
        te.push(mj() & 255);
        L3 += 1;
    }
    var Yw = te;
    var Yi = Yw;
    var MX = JSON.stringify(ax, function (nc, TF) {
        return TF === undefined ? null : TF;
    });
    var PX = MX.replace(HN, BB);
    var yi = [];
    var i1 = 0;
    while (i1 < PX.length) {
        yi.push(PX.charCodeAt(i1));
        i1 += 1;
    }
    var QB = yi;
    var FI = QB;
    var h5 = FI.length;
    var X2 = Yi["slice"](0, 16).length;
    var P3 = [];
    var qG = 113;
    var aP = 0;
    while (aP < h5) {
        var ls = FI[aP];
        var kA = Yi["slice"](0, 16)[aP % X2];
        var RJ = ls ^ kA ^ qG;
        P3.push(RJ);
        qG = RJ;
        aP += 1;
    }
    var Am = P3;
    var W6 = Am.length;
    var hx = [];
    var wf = W6 - 1;
    while (wf >= 0) {
        hx.push(Am[wf]);
        wf -= 1;
    }
    var CG = hx;
    var sR = CG.length;
    var g_ = Yi[16] % 7 + 1;
    var Mp = [];
    var wU = 0;
    while (wU < sR) {
        Mp.push((CG[wU] << g_ | CG[wU] >> 8 - g_) & 255);
        wU += 1;
    }
    var Bt = Mp;
    var xJ = [];
    for (var yK in Bt) {
        var o9 = Bt[yK];
        if (Bt.hasOwnProperty(yK)) {
            var zZ = String.fromCharCode(o9);
            xJ.push(zZ);
        }
    }
    var SV = btoa(xJ.join(""));
    return SV;

}

console.log(encodeStr18("1012347.1575", 2781904740))


function encodeStr29(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Dw = V0(key, gs);
    var pl = [];
    var Z8 = 0;
    while (Z8 < 29) {
        pl.push(Dw() & 255);
        Z8 += 1;
    }
    var IC = pl;
    var dV = IC;
    var SC = JSON.stringify(ax, function (XG, bb) {
        return bb === undefined ? null : bb;
    });
    var KZ = SC.replace(HN, BB);
    var T8 = [];
    var yu = 0;
    while (yu < KZ.length) {
        T8.push(KZ.charCodeAt(yu));
        yu += 1;
    }
    var WD = T8;
    var KS = WD;
    var oP = KS.length;
    var VD = dV["slice"](0, 27).length;
    var OL = [];
    var WY = 0;
    while (WY < oP) {
        var op = KS[WY];
        var Sx = dV["slice"](0, 27)[WY % VD] & 127;
        OL.push((op + Sx) % 256 ^ 128);
        WY += 1;
    }
    var gI = OL;
    var nT = gI.length;
    var kj = [];
    var gY = 0;
    while (gY < nT) {
        kj.push(gI[(gY + dV[27]) % nT]);
        gY += 1;
    }
    var n0 = kj;
    var sl = n0.length;
    var Yx = [];
    var fX = sl - 1;
    while (fX >= 0) {
        Yx.push(n0[fX]);
        fX -= 1;
    }
    var sC = Yx;
    var ix = [];
    for (var Qd in sC) {
        var Hx = sC[Qd];
        if (sC.hasOwnProperty(Qd)) {
            var nm = String.fromCharCode(Hx);
            ix.push(nm);
        }
    }
    var t0 = btoa(ix.join(""));
    return t0;

}

function encodeStr30(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var qe = V0(key, gs);
    var L1 = [];
    var tE = 0;
    while (tE < 30) {
        L1.push(qe() & 255);
        tE += 1;
    }
    var JD = L1;
    var Aq = JD;
    var zv = JSON.stringify(ax, function (RP, dv) {
        return dv === undefined ? null : dv;
    });
    var uV = zv.replace(HN, BB);
    var ok = [];
    var Nt = 0;
    while (Nt < uV.length) {
        ok.push(uV.charCodeAt(Nt));
        Nt += 1;
    }
    var Us = ok;
    var fc = Us;
    var GG = fc.length;
    var v8 = Aq[0] % 7 + 1;
    var N4 = [];
    var AO = 0;
    while (AO < GG) {
        N4.push((fc[AO] << v8 | fc[AO] >> 8 - v8) & 255);
        AO += 1;
    }
    var NA = N4;
    var mD = NA.length;
    var L0 = Aq[1] % 7 + 1;
    var wk = [];
    var vw = 0;
    while (vw < mD) {
        wk.push((NA[vw] << L0 | NA[vw] >> 8 - L0) & 255);
        vw += 1;
    }
    var EH = wk;
    var aH = EH.length;
    var Gw = Aq["slice"](2, 29).length;
    var sz = [];
    var pP = 113;
    var wD = 0;
    while (wD < aH) {
        var Y2 = EH[wD];
        var ew = Aq["slice"](2, 29)[wD % Gw];
        var Rx = Y2 ^ ew ^ pP;
        sz.push(Rx);
        pP = Rx;
        wD += 1;
    }
    var bn = sz;
    var Mn = [];
    for (var oD in bn) {
        var gF = bn[oD];
        if (bn.hasOwnProperty(oD)) {
            var za = String.fromCharCode(gF);
            Mn.push(za);
        }
    }
    var tS = btoa(Mn.join(""));
    return tS;

}

function encodeStr57(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Ls = V0(key, gs);
    var EX = [];
    var EP = 0;
    while (EP < 57) {
        EX.push(Ls() & 255);
        EP += 1;
    }
    console.log(EX + '')
    var mv = EX;
    var LK = mv;
    var Qv = JSON.stringify(ax, function (xG, yF) {
        return yF === undefined ? null : yF;
    });
    var Sz = Qv.replace(HN, BB);
    var AD = [];
    var XP = 0;
    while (XP < Sz.length) {
        AD.push(Sz.charCodeAt(XP));
        XP += 1;
    }
    var NK = AD;
    var OM = NK;
    var LQ = OM.length;
    var XO = [];
    var jK = 0;
    while (jK < LQ) {
        XO.push(OM[(jK + LK[0]) % LQ]);
        jK += 1;
    }
    var Ud = XO;
    var Dg = Ud.length;
    var LM = LK["slice"](1, 31).length;
    var YY = [];
    var cU = 0;
    while (cU < Dg) {
        var lO = Ud[cU];
        var BU = LK["slice"](1, 31)[cU % LM] & 127;
        YY.push((lO + BU) % 256 ^ 128);
        cU += 1;
    }
    var A6 = YY;
    var hm = A6.length;
    var Py = LK["slice"](31, 55).length;
    var xk = [];
    var Wp = 0;
    while (Wp < hm) {
        xk.push(A6[Wp]);
        xk.push(LK["slice"](31, 55)[Wp % Py]);
        Wp += 1;
    }
    var J7 = xk;
    var qg = J7.length;
    var KB = LK[55] % 7 + 1;
    var zE = [];
    var Jf = 0;
    while (Jf < qg) {
        zE.push((J7[Jf] << KB | J7[Jf] >> 8 - KB) & 255);
        Jf += 1;
    }
    var D6 = zE;
    var eC = [];
    for (var M5 in D6) {
        var Co = D6[M5];
        if (D6.hasOwnProperty(M5)) {
            var fC = String.fromCharCode(Co);
            eC.push(fC);
        }
    }
    var x4 = btoa(eC.join(""));
    return x4;

}

function encodeStr2(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var q7 = V0(key, gs);
    var xV = [];
    var QF = 0;
    while (QF < 2) {
        xV.push(q7() & 255);
        QF += 1;
    }
    var VI = xV;
    var CB = VI;


    var tY = JSON.stringify(ax, function (fd, FO) {
        return FO === undefined ? null : FO;
    });
    var nW = tY.replace(HN, BB);
    var cV = [];
    var qJ = 0;
    while (qJ < nW.length) {
        cV.push(nW.charCodeAt(qJ));
        qJ += 1;
    }
    var zy = cV;
    var Lr = zy;
    var fk = Lr.length;
    var RD = [];
    var M4 = fk - 1;
    while (M4 >= 0) {
        RD.push(Lr[M4]);
        M4 -= 1;
    }
    var or = RD;
    var Dz = or.length;
    var C5 = CB[0] % 7 + 1;
    var Rz = [];
    var Bw = 0;
    while (Bw < Dz) {
        Rz.push((or[Bw] << C5 | or[Bw] >> 8 - C5) & 255);
        Bw += 1;
    }
    var An = Rz;
    var IY = [];
    for (var l5 in An) {
        var bu = An[l5];
        if (An.hasOwnProperty(l5)) {
            var WJ = String.fromCharCode(bu);
            IY.push(WJ);
        }
    }
    var x4 = btoa(IY.join(""));
    return x4;

}

function encodeStr49(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var iz = V0(key, gs);
    var Tr = [];
    var wQ = 0;
    while (wQ < 49) {
        Tr.push(iz() & 255);
        wQ += 1;
    }
    var qx = Tr;
    var Es = qx;

    var L8 = JSON.stringify(ax, function (wR, ez) {
        return ez === undefined ? null : ez;
    });
    var UZ = L8.replace(HN, BB);
    var Sd = [];
    var hv = 0;
    while (hv < UZ.length) {
        Sd.push(UZ.charCodeAt(hv));
        hv += 1;
    }
    var vK = Sd;
    var hq = vK;
    var Sy = hq.length;
    var w6 = Es["slice"](0, 20).length;
    var Kq = [];
    var r3 = 0;
    while (r3 < Sy) {
        var y4 = hq[r3];
        var Qh = Es["slice"](0, 20)[r3 % w6] & 127;
        Kq.push((y4 + Qh) % 256 ^ 128);
        r3 += 1;
    }
    var p6 = Kq;
    var rW = p6.length;
    var oa = Es["slice"](20, 48).length;
    var oB = [];
    var KP = 113;
    var AP = 0;
    while (AP < rW) {
        var kF = p6[AP];
        var Mb = Es["slice"](20, 48)[AP % oa];
        var rx = kF ^ Mb ^ KP;
        oB.push(rx);
        KP = rx;
        AP += 1;
    }
    var hu = oB;
    var Nw = [];
    for (var OV in hu) {
        var aK = hu[OV];
        if (hu.hasOwnProperty(OV)) {
            var w1 = String.fromCharCode(aK);
            Nw.push(w1);
        }
    }
    var Ex = btoa(Nw.join(""));
    return Ex;

}

function encodeStr19(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var uG = V0(4143207636, gs);
    var wT = [];
    var DZ = 0;
    while (DZ < 19) {
        wT.push(uG() & 255);
        DZ += 1;
    }
    var er = wT;
    var tx = er;
    var Zh = JSON.stringify(ax, function (Fl, Q_) {
        return Q_ === undefined ? null : Q_;
    });
    var Xf = Zh.replace(HN, BB);
    var TH = [];
    var mx = 0;
    while (mx < Xf.length) {
        TH.push(Xf.charCodeAt(mx));
        mx += 1;
    }
    var vX = TH;
    var KA = vX;
    var X1 = KA.length;
    var sY = tx["slice"](0, 16).length;
    var iQ = [];
    var dl = 0;
    while (dl < X1) {
        var DU = KA[dl];
        var dY = tx["slice"](0, 16)[dl % sY] & 127;
        iQ.push((DU + dY) % 256 ^ 128);
        dl += 1;
    }
    var f8 = iQ;
    var Ko = f8.length;
    var ED = tx[16] % 7 + 1;
    var jB = [];
    var PB = 0;
    while (PB < Ko) {
        jB.push((f8[PB] << ED | f8[PB] >> 8 - ED) & 255);
        PB += 1;
    }
    var pt = jB;
    var vl = pt.length;
    var ca = [];
    var i3 = 0;
    while (i3 < vl) {
        ca.push(pt[(i3 + tx[17]) % vl]);
        i3 += 1;
    }
    var qZ = ca;
    var jb = [];
    for (var Zm in qZ) {
        var On = qZ[Zm];
        if (qZ.hasOwnProperty(Zm)) {
            var n1 = String.fromCharCode(On);
            jb.push(n1);
        }
    }
    var zK = btoa(jb.join(""));
    return zK;

}

function encodeStr68(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var aS = V0(1079950851, gs);
    var LT = [];
    var IV = 0;
    while (IV < 68) {
        LT.push(aS() & 255);
        IV += 1;
    }
    var M3 = LT;
    var vg = M3;
    var sj = JSON.stringify(ax, function (oA, Rg) {
        return Rg === undefined ? null : Rg;
    });
    var qP = sj.replace(HN, BB);
    var jl = [];
    var Jk = 0;
    while (Jk < qP.length) {
        jl.push(qP.charCodeAt(Jk));
        Jk += 1;
    }
    var EV = jl;
    var Gt = EV;
    var wL = Gt.length;
    var Rt = vg["slice"](0, 16).length;
    var rh = [];
    var NC = 113;
    var pu = 0;
    while (pu < wL) {
        var zt = Gt[pu];
        var eO = vg["slice"](0, 16)[pu % Rt];
        var NI = zt ^ eO ^ NC;
        rh.push(NI);
        NC = NI;
        pu += 1;
    }
    var yx = rh;
    var hH = yx.length;
    var ob = vg["slice"](16, 38).length;
    var oo = [];
    var kY = 0;
    while (kY < hH) {
        var Vt = yx[kY];
        var Qu = vg["slice"](16, 38)[kY % ob] & 127;
        oo.push((Vt + Qu) % 256 ^ 128);
        kY += 1;
    }
    var lB = oo;
    var Ek = lB.length;
    var Qt = vg["slice"](38, 67).length;
    var H9 = [];
    var u3 = 0;
    while (u3 < Ek) {
        H9.push(lB[u3]);
        H9.push(vg["slice"](38, 67)[u3 % Qt]);
        u3 += 1;
    }
    var R8 = H9;
    var va = R8.length;
    var fu = [];
    var Ez = va - 1;
    while (Ez >= 0) {
        fu.push(R8[Ez]);
        Ez -= 1;
    }
    var t1 = fu;
    var gS = [];
    for (var AF in t1) {
        var OH = t1[AF];
        if (t1.hasOwnProperty(AF)) {
            var Qr = String.fromCharCode(OH);
            gS.push(Qr);
        }
    }
    var D7 = btoa(gS.join(""));
    return D7;

}


function encodeStr45(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var C3 = V0(430797680, gs);
    var Vb = [];
    var GA = 0;
    while (GA < 45) {
        Vb.push(C3() & 255);
        GA += 1;
    }
    var Jr = Vb;
    var uQ = Jr;
    var ph = JSON.stringify(ax, function (cb, EA) {
        return EA === undefined ? null : EA;
    });
    var GQ = ph.replace(HN, BB);
    var g3 = [];
    var Bv = 0;
    while (Bv < GQ.length) {
        g3.push(GQ.charCodeAt(Bv));
        Bv += 1;
    }
    var De = g3;
    var o0 = De;
    var hV = o0.length;
    var N9 = uQ["slice"](0, 25).length;
    var jT = [];
    var HG = 0;
    while (HG < hV) {
        jT.push(o0[HG]);
        jT.push(uQ["slice"](0, 25)[HG % N9]);
        HG += 1;
    }
    var rZ = jT;
    var Nr = rZ.length;
    var l9 = uQ["slice"](25, 43).length;
    var DK = [];
    var At = 0;
    while (At < Nr) {
        var C_ = rZ[At];
        var TR = uQ["slice"](25, 43)[At % l9] & 127;
        DK.push((C_ + TR) % 256 ^ 128);
        At += 1;
    }
    var x7 = DK;
    var Ge = x7.length;
    var BR = uQ[43] % 7 + 1;
    var vZ = [];
    var v7 = 0;
    while (v7 < Ge) {
        vZ.push((x7[v7] << BR | x7[v7] >> 8 - BR) & 255);
        v7 += 1;
    }
    var Hc = vZ;
    var hZ = [];
    for (var nE in Hc) {
        var en = Hc[nE];
        if (Hc.hasOwnProperty(nE)) {
            var cC = String.fromCharCode(en);
            hZ.push(cC);
        }
    }
    var Jm = btoa(hZ.join(""));
    return Jm
}

function encodeStr47(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Cn = V0(781766443, gs);
    var Md = [];
    var VO = 0;
    while (VO < 47) {
        Md.push(Cn() & 255);
        VO += 1;
    }
    var eM = Md;
    var dk = eM;
    var fg = JSON.stringify(ax, function (fq, h4) {
        return h4 === undefined ? null : h4;
    });
    var wn = fg.replace(HN, BB);
    var q2 = [];
    var f5 = 0;
    while (f5 < wn.length) {
        q2.push(wn.charCodeAt(f5));
        f5 += 1;
    }
    var BV = q2;
    var CM = BV;
    var jM = CM.length;
    var sS = dk["slice"](0, 26).length;
    var r6 = [];
    var rs = 0;
    while (rs < jM) {
        r6.push(CM[rs]);
        r6.push(dk["slice"](0, 26)[rs % sS]);
        rs += 1;
    }
    var Iu = r6;
    var W3 = Iu.length;
    var Cq = dk["slice"](26, 46).length;
    var B0 = [];
    var aO = 113;
    var lW = 0;
    while (lW < W3) {
        var t3 = Iu[lW];
        var To = dk["slice"](26, 46)[lW % Cq];
        var yr = t3 ^ To ^ aO;
        B0.push(yr);
        aO = yr;
        lW += 1;
    }
    var aT = B0;
    var VU = [];
    for (var Mt in aT) {
        var Bm = aT[Mt];
        if (aT.hasOwnProperty(Mt)) {
            var HC = String.fromCharCode(Bm);
            VU.push(HC);
        }
    }
    var Ib = btoa(VU.join(""));
    return Ib;
}

function encodeStr31(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Sg = V0(764395007, gs);
    var SG = [];
    var Mi = 0;
    while (Mi < 31) {
        SG.push(Sg() & 255);
        Mi += 1;
    }
    var mV = SG;
    var da = mV;

    var Ng = JSON.stringify(ax, function (K8, n4) {
        return n4 === undefined ? null : n4;
    });
    var A5 = Ng.replace(HN, BB);
    var Gy = [];
    var xR = 0;
    while (xR < A5.length) {
        Gy.push(A5.charCodeAt(xR));
        xR += 1;
    }
    var WL = Gy;
    var VP = WL;
    var Cl = VP.length;
    var yf = [];
    var RB = 0;
    while (RB < Cl) {
        yf.push(VP[(RB + da[0]) % Cl]);
        RB += 1;
    }
    var eI = yf;
    var J4 = [];
    for (var Fg in eI) {
        var S_ = eI[Fg];
        if (eI.hasOwnProperty(Fg)) {
            J4.push(S_);
        }
    }
    var w5 = J4;
    var yH = w5;
    var nB = yH.length;
    var ZL = 0;
    while (ZL + 1 < nB) {
        var VX = yH[ZL];
        yH[ZL] = yH[ZL + 1];
        yH[ZL + 1] = VX;
        ZL += 2;
    }
    var RY = yH;
    var qR = RY.length;
    var RO = da["slice"](1, 30).length;
    var ZA = [];
    var r_ = 113;
    var ju = 0;
    while (ju < qR) {
        var gl = RY[ju];
        var IH = da["slice"](1, 30)[ju % RO];
        var ZC = gl ^ IH ^ r_;
        ZA.push(ZC);
        r_ = ZC;
        ju += 1;
    }
    var Hg = ZA;
    var Nh = [];
    for (var D9 in Hg) {
        var KF = Hg[D9];
        if (Hg.hasOwnProperty(D9)) {
            var K2 = String.fromCharCode(KF);
            Nh.push(K2);
        }
    }
    var QM = btoa(Nh.join(""));
    return QM;
}

function encodeStr30_1(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var Xk = V0(2514653307, gs);
    var cm = [];
    var ua = 0;
    while (ua < 30) {
        cm.push(Xk() & 255);
        ua += 1;
    }
    var Si = cm;
    var kg = Si;

    var dw = JSON.stringify(ax, function (V3, R2) {
        return R2 === undefined ? null : R2;
    });
    var tF = dw.replace(HN, BB);
    var GH = [];
    var uc = 0;
    while (uc < tF.length) {
        GH.push(tF.charCodeAt(uc));
        uc += 1;
    }
    var Qo = GH;
    var Ag = Qo;
    var JW = Ag.length;
    var ug = [];
    var R6 = JW - 1;
    while (R6 >= 0) {
        ug.push(Ag[R6]);
        R6 -= 1;
    }
    var PG = ug;
    var Gq = PG.length;
    var FM = kg["slice"](0, 29).length;
    var KG = [];
    var bt = 0;
    while (bt < Gq) {
        var oG = PG[bt];
        var dh = kg["slice"](0, 29)[bt % FM] & 127;
        KG.push((oG + dh) % 256 ^ 128);
        bt += 1;
    }
    var QL = KG;
    var qD = [];
    for (var Or in QL) {
        var Wi = QL[Or];
        if (QL.hasOwnProperty(Or)) {
            var hL = String.fromCharCode(Wi);
            qD.push(hL);
        }
    }
    var gx = btoa(qD.join(""));
    return gx;
}

function encodeStr30_2(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var de = V0(836013910, gs);
    var Fr = [];
    var bi = 0;
    while (bi < 30) {
        Fr.push(de() & 255);
        bi += 1;
    }
    var pg = Fr;
    var Ja = pg;

    var Yu = JSON.stringify(ax, function (o7, gB) {
        return gB === undefined ? null : gB;
    });
    var AG = Yu.replace(HN, BB);
    var WB = [];
    var ZI = 0;
    while (ZI < AG.length) {
        WB.push(AG.charCodeAt(ZI));
        ZI += 1;
    }
    var Q7E = WB;
    var Uk = Q7E;
    var qF = Uk.length;
    var FX = [];
    var Kk = 0;
    while (Kk < qF) {
        FX.push(Uk[(Kk + Ja[0]) % qF]);
        Kk += 1;
    }
    var XD = FX;
    var eQ = XD.length;
    var MS = Ja["slice"](1, 29).length;
    var eG = [];
    var LN = 0;
    while (LN < eQ) {
        var JX = XD[LN];
        var yR = Ja["slice"](1, 29)[LN % MS] & 127;
        eG.push((JX + yR) % 256 ^ 128);
        LN += 1;
    }
    var QC = eG;
    var cp = [];
    for (var nn in QC) {
        var CY = QC[nn];
        if (QC.hasOwnProperty(nn)) {
            var lc = String.fromCharCode(CY);
            cp.push(lc);
        }
    }
    var yC = btoa(cp.join(""));
    return yC;
}

function encodeStr199(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var e7 = V0(694216168, gs);
    var YZ = [];
    var YL = 0;
    while (YL < 74) {
        YZ.push(e7() & 255);
        YL += 1;
    }
    var kp = YZ;
    var lf = kp;

    var fs = JSON.stringify(ax, function (gi, d3) {
        return d3 === undefined ? null : d3;
    });
    var ZB = fs.replace(HN, BB);
    var c_ = [];
    var gA = 0;
    while (gA < ZB.length) {
        c_.push(ZB.charCodeAt(gA));
        gA += 1;
    }
    var HJ = c_;
    var w8 = HJ;
    var c6 = w8.length;
    var la = lf["slice"](0, 28).length;
    var qE = [];
    var YU = 0;
    while (YU < c6) {
        var KO = w8[YU];
        var tM = lf["slice"](0, 28)[YU % la] & 127;
        qE.push((KO + tM) % 256 ^ 128);
        YU += 1;
    }
    var au = qE;
    var Mh = au.length;
    var RQ = lf["slice"](28, 48).length;
    var be = [];
    var VQ = 113;
    var MA = 0;
    while (MA < Mh) {
        var Qq = au[MA];
        var Ic = lf["slice"](28, 48)[MA % RQ];
        var nd = Qq ^ Ic ^ VQ;
        be.push(nd);
        VQ = nd;
        MA += 1;
    }
    var jw = be;
    var ek = jw.length;
    var fj = lf["slice"](48, 73).length;
    var Cs = [];
    var d0 = 113;
    var Is = 0;
    while (Is < ek) {
        var Sw = jw[Is];
        var A2 = lf["slice"](48, 73)[Is % fj];
        var KJ = Sw ^ A2 ^ d0;
        Cs.push(KJ);
        d0 = KJ;
        Is += 1;
    }
    var KN = Cs;
    var QG = [];
    for (var Y5 in KN) {
        var Np = KN[Y5];
        if (KN.hasOwnProperty(Y5)) {
            var F7 = String.fromCharCode(Np);
            QG.push(F7);
        }
    }
    var hVG = btoa(QG.join(""));
    return hVG;
}

function encodeStr214(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var ns = V0(1513031664, gs);
    var cX = [];
    var xT = 0;
    while (xT < 27) {
        cX.push(ns() & 255);
        xT += 1;
    }
    var EI = cX;
    var ai = EI;

    var kv = JSON.stringify(ax, function (Pe, RE) {
        return RE === undefined ? null : RE;
    });
    var YJ = kv.replace(HN, BB);
    var wG = [];
    var tN = 0;
    while (tN < YJ.length) {
        wG.push(YJ.charCodeAt(tN));
        tN += 1;
    }
    var e9 = wG;
    var Ki = e9;
    var uq = Ki.length;
    var iT = ai[0] % 7 + 1;
    var pX = [];
    var RF = 0;
    while (RF < uq) {
        pX.push((Ki[RF] << iT | Ki[RF] >> 8 - iT) & 255);
        RF += 1;
    }
    var Gj = pX;
    var XA = Gj.length;
    var Qy = ai[1] % 7 + 1;
    var NG = [];
    var Z0 = 0;
    while (Z0 < XA) {
        NG.push((Gj[Z0] << Qy | Gj[Z0] >> 8 - Qy) & 255);
        Z0 += 1;
    }
    var YO = NG;
    var Zs = YO.length;
    var yD = ai["slice"](2, 26).length;
    var VE = [];
    var s_ = 0;
    while (s_ < Zs) {
        var ja = YO[s_];
        var bw = ai["slice"](2, 26)[s_ % yD] & 127;
        VE.push((ja + bw) % 256 ^ 128);
        s_ += 1;
    }
    var zf = VE;
    var dK = [];
    for (var xB in zf) {
        var dH = zf[xB];
        if (zf.hasOwnProperty(xB)) {
            dK.push(dH);
        }
    }
    var Ea = dK;
    var h3 = Ea;
    var WI = h3.length;
    var Wr = 0;
    while (Wr + 1 < WI) {
        var Z5 = h3[Wr];
        h3[Wr] = h3[Wr + 1];
        h3[Wr + 1] = Z5;
        Wr += 2;
    }
    var Ci = h3;
    var QT = [];
    for (var mg6 in Ci) {
        var wO = Ci[mg6];
        if (Ci.hasOwnProperty(mg6)) {
            var yZ = String.fromCharCode(wO);
            QT.push(yZ);
        }
    }
    var IG = btoa(QT.join(""));
    return IG;
}
function encodeStr243(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

     var DC = V0(187585459, gs);
              var sc = [];
              var wz = 0;
              while (wz < 4) {
                sc.push(DC() & 255);
                wz += 1;
              }
              var JQ = sc;
              var tg = JQ;

              var AN = JSON.stringify(ax, function (xbO, sV) {
                return sV === undefined ? null : sV;
              });
              var bz = AN.replace(HN, BB);
              var Nu = [];
              var se = 0;
              while (se < bz.length) {
                Nu.push(bz.charCodeAt(se));
                se += 1;
              }
              var mR = Nu;
              var HH = mR;
              var dS = HH.length;
              var W2 = [];
              var CF = 0;
              while (CF < dS) {
                W2.push(HH[(CF + tg[0]) % dS]);
                CF += 1;
              }
              var r5 = W2;
              var zI = r5.length;
              var MZ = [];
              var qY = 0;
              while (qY < zI) {
                MZ.push(r5[(qY + tg[1]) % zI]);
                qY += 1;
              }
              var lU = MZ;
              var iL = lU.length;
              var Zq = tg[2] % 7 + 1;
              var ky = [];
              var rk = 0;
              while (rk < iL) {
                ky.push((lU[rk] << Zq | lU[rk] >> 8 - Zq) & 255);
                rk += 1;
              }
              var xc = ky;
              var OA = [];
              for (var KQ in xc) {
                var wq = xc[KQ];
                if (xc.hasOwnProperty(KQ)) {
                  var dEh = String.fromCharCode(wq);
                  OA.push(dEh);
                }
              }
              var MY = btoa(OA.join(""));
    return MY;
}
function encodeStr244(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

    var oz = V0(1172444063, gs);
              var jx = [];
              var Mk = 0;
              while (Mk < 52) {
                jx.push(oz() & 255);
                Mk += 1;
              }
              var Iw = jx;
              var Up = Iw;
              var dU = 0;
              var Qp = JSON.stringify(ax, function (W5, Ke) {
                return Ke === undefined ? null : Ke;
              });
              var Aa = Qp.replace(HN, BB);
              var Sk = [];
              var sJ = 0;
              while (sJ < Aa.length) {
                Sk.push(Aa.charCodeAt(sJ));
                sJ += 1;
              }
              var gJ = Sk;
              var zV = gJ;
              var vA = zV.length;
              var vj = Up["slice"](0, 24).length;
              var GI = [];
              var lw = 0;
              while (lw < vA) {
                var z6 = zV[lw];
                var pF = Up["slice"](0, 24)[lw % vj] & 127;
                GI.push((z6 + pF) % 256 ^ 128);
                lw += 1;
              }
              var lH = GI;
              var tP = lH.length;
              var CN0 = Up["slice"](24, 51).length;
              var kS = [];
              var h6 = 0;
              while (h6 < tP) {
                var MF = lH[h6];
                var mb = Up["slice"](24, 51)[h6 % CN0] & 127;
                kS.push((MF + mb) % 256 ^ 128);
                h6 += 1;
              }
              var Mr = kS;
              var Xn = [];
              for (var bk in Mr) {
                var ei = Mr[bk];
                if (Mr.hasOwnProperty(bk)) {
                  var fi = String.fromCharCode(ei);
                  Xn.push(fi);
                }
              }
              var MY = btoa(Xn.join(""));
    return MY;
}
function encodeStr245(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

   var Rl = V0(231443536, gs);
              var zP = [];
              var c2 = 0;
              while (c2 < 27) {
                zP.push(Rl() & 255);
                c2 += 1;
              }
              var XC = zP;
              var Wz = XC;
              var ueK = JSON.stringify(ax, function (Du, Km) {
                return Km === undefined ? null : Km;
              });
              var Xp = ueK.replace(HN, BB);
              var c4 = [];
              var wr = 0;
              while (wr < Xp.length) {
                c4.push(Xp.charCodeAt(wr));
                wr += 1;
              }
              var wE = c4;
              var PY = wE;
              var xD = [];
              for (var uj2 in PY) {
                var yB = PY[uj2];
                if (PY.hasOwnProperty(uj2)) {
                  xD.push(yB);
                }
              }
              var n8 = xD;
              var RT = n8;
              var gE = RT.length;
              var Fb = 0;
              while (Fb + 1 < gE) {
                var lI = RT[Fb];
                RT[Fb] = RT[Fb + 1];
                RT[Fb + 1] = lI;
                Fb += 2;
              }
              var hi = RT;
              var fF = hi.length;
              var Fs = [];
              var kt = fF - 1;
              while (kt >= 0) {
                Fs.push(hi[kt]);
                kt -= 1;
              }
              var Yy = Fs;
              var zX = Yy.length;
              var r4 = Wz["slice"](0, 26).length;
              var TU = [];
              var cM = 113;
              var h8 = 0;
              while (h8 < zX) {
                var et = Yy[h8];
                var Fe = Wz["slice"](0, 26)[h8 % r4];
                var v9 = et ^ Fe ^ cM;
                TU.push(v9);
                cM = v9;
                h8 += 1;
              }
              var E4 = TU;
              var WC = [];
              for (var tL in E4) {
                var gBk = E4[tL];
                if (E4.hasOwnProperty(tL)) {
                  var C0 = String.fromCharCode(gBk);
                  WC.push(C0);
                }
              }
              var MY = btoa(WC.join(""));
    return MY;
}
function encodeStr246(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

 var zk = V0(2886650022, gs);
              var Tq = [];
              var eB = 0;
              while (eB < 56) {
                Tq.push(zk() & 255);
                eB += 1;
              }
              var hD = Tq;
              var Oh = hD;

              var Zt = JSON.stringify(ax, function (tb, im) {
                return im === undefined ? null : im;
              });
              var t7 = Zt.replace(HN, BB);
              var u8 = [];
              var e1 = 0;
              while (e1 < t7.length) {
                u8.push(t7.charCodeAt(e1));
                e1 += 1;
              }
              var nh = u8;
              var MH = nh;
              var rA = MH.length;
              var iS = Oh["slice"](0, 24).length;
              var ir = [];
              var O2 = 0;
              while (O2 < rA) {
                var XH = MH[O2];
                var d6z = Oh["slice"](0, 24)[O2 % iS] & 127;
                ir.push((XH + d6z) % 256 ^ 128);
                O2 += 1;
              }
              var k4 = ir;
              var KC = k4.length;
              var hd = Oh["slice"](24, 54).length;
              var pR = [];
              var yW = 113;
              var B1 = 0;
              while (B1 < KC) {
                var HE = k4[B1];
                var w2 = Oh["slice"](24, 54)[B1 % hd];
                var sq = HE ^ w2 ^ yW;
                pR.push(sq);
                yW = sq;
                B1 += 1;
              }
              var pD = pR;
              var Rj = pD.length;
              var FT = [];
              var Xo2 = 0;
              while (Xo2 < Rj) {
                FT.push(pD[(Xo2 + Oh[54]) % Rj]);
                Xo2 += 1;
              }
              var qL = FT;
              var pr = [];
              for (var oxP in qL) {
                var YN = qL[oxP];
                if (qL.hasOwnProperty(oxP)) {
                  pr.push(YN);
                }
              }
              var H3 = pr;
              var Yh = H3;
              var QU = Yh.length;
              var g7 = 0;
              while (g7 + 1 < QU) {
                var gQ = Yh[g7];
                Yh[g7] = Yh[g7 + 1];
                Yh[g7 + 1] = gQ;
                g7 += 2;
              }
              var Ye = Yh;
              var fw = [];
              for (var Sb in Ye) {
                var bx = Ye[Sb];
                if (Ye.hasOwnProperty(Sb)) {
                  var ng = String.fromCharCode(bx);
                  fw.push(ng);
                }
              }
              var MY = btoa(fw.join(""));
    return MY;
}
function encodeStr250(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

 var JqS = V0(4271953189, gs);
              var KW = [];
              var Uv = 0;
              while (Uv < 40) {
                KW.push(JqS() & 255);
                Uv += 1;
              }
              var iV = KW;
              var q5 = iV;

              var P6 = JSON.stringify(ax, function (bN, FPm) {
                return FPm === undefined ? null : FPm;
              });
              var KY = P6.replace(HN, BB);
              var Dj = [];
              var ge = 0;
              while (ge < KY.length) {
                Dj.push(KY.charCodeAt(ge));
                ge += 1;
              }
              var hU = Dj;
              var mt = hU;
              var Qx = mt.length;
              var IK = [];
              var Rm = 0;
              while (Rm < Qx) {
                IK.push(mt[(Rm + q5[0]) % Qx]);
                Rm += 1;
              }
              var g8C = IK;
              var Gd = g8C.length;
              var ga = q5["slice"](1, 19).length;
              var Td = [];
              var aj = 0;
              while (aj < Gd) {
                Td.push(g8C[aj]);
                Td.push(q5["slice"](1, 19)[aj % ga]);
                aj += 1;
              }
              var dR = Td;
              var zB = dR.length;
              var E3 = q5["slice"](19, 39).length;
              var gq = [];
              var g1 = 0;
              while (g1 < zB) {
                var jZ = dR[g1];
                var XR = q5["slice"](19, 39)[g1 % E3] & 127;
                gq.push((jZ + XR) % 256 ^ 128);
                g1 += 1;
              }
              var bl = gq;
              var Yc = [];
              for (var qC in bl) {
                var HW = bl[qC];
                if (bl.hasOwnProperty(qC)) {
                  var pp = String.fromCharCode(HW);
                  Yc.push(pp);
                }
              }
              var Dd = btoa(Yc.join(""));
    return Dd;
}
function encodeStr252(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

 var PD = V0(2417636879, gs);
              var xMs = [];
              var kl = 0;
              while (kl < 25) {
                xMs.push(PD() & 255);
                kl += 1;
              }
              var ie = xMs;
              var sp = ie;

              var NQ = JSON.stringify(ax, function (fY, Oy) {
                return Oy === undefined ? null : Oy;
              });
              var F9P = NQ.replace(HN, BB);
              var Dh = [];
              var nG = 0;
              while (nG < F9P.length) {
                Dh.push(F9P.charCodeAt(nG));
                nG += 1;
              }
              var NH = Dh;
              var ia = NH;
              var fW = ia.length;
              var WS = [];
              var uRB = fW - 1;
              while (uRB >= 0) {
                WS.push(ia[uRB]);
                uRB -= 1;
              }
              var Mv = WS;
              var CE = Mv.length;
              var lS = sp["slice"](0, 24).length;
              var lh = [];
              var jr = 113;
              var yO = 0;
              while (yO < CE) {
                var ZE = Mv[yO];
                var F1 = sp["slice"](0, 24)[yO % lS];
                var F2 = ZE ^ F1 ^ jr;
                lh.push(F2);
                jr = F2;
                yO += 1;
              }
              var zA = lh;
              var kX = zA.length;
              var rO = [];
              var Al = kX - 1;
              while (Al >= 0) {
                rO.push(zA[Al]);
                Al -= 1;
              }
              var cE = rO;
              var tf = [];
              for (var dn in cE) {
                var z5 = cE[dn];
                if (cE.hasOwnProperty(dn)) {
                  var Pa = String.fromCharCode(z5);
                  tf.push(Pa);
                }
              }
              var ih = btoa(tf.join(""));
    return ih;
}
function encodeStrp(ax, key) {
    var gs = Math["random"]() * 1073741824 | 0;

 var bni = V0(1740574759, gs);
                            var og = [];
                            var gs3 = 0;
                            while (gs3 < 28) {
                                og.push(bni() & 255);
                                gs3 += 1;
                            }
                            var PO = og;
                            var Ob = JSON.stringify(ax, function(ejk, VMb) {
                                return VMb === undefined ? null : VMb;
                            });
                            var Lp = Ob.replace(HN, BB);
                            var Hz2 = [];
                            var WQ = 0;
                            while (WQ < Lp.length) {
                                Hz2.push(Lp.charCodeAt(WQ));
                                WQ += 1;
                            }
                            var YYO = Hz2;
                            var aO = [];
                            for (var Mgc in Hz2) {
                                var HV = Hz2[Mgc];
                                if (Hz2.hasOwnProperty(Mgc)) {
                                    aO.push(HV);
                                }
                            }
                            var Wo = aO;
                            var OX = aO.length;
                            var Bm4 = 0;
                            while (Bm4 + 1 < OX) {
                                var Rb = aO[Bm4];
                                aO[Bm4] = aO[Bm4 + 1];
                                aO[Bm4 + 1] = Rb;
                                Bm4 += 2;
                            }
                            var Du = aO;
                            var tk = aO.length;
                            var gRb = og["slice"](0, 27).length;
                            var RZ = [];
                            var ovE = 113;
                            var af = 0;
                            while (af < tk) {
                                var tUV = aO[af];
                                var HP = og["slice"](0, 27)[af % gRb];
                                var zb = tUV ^ HP ^ ovE;
                                RZ.push(zb);
                                ovE = zb;
                                af += 1;
                            }
                            var Bvj = [];
                            for (var mt in RZ) {
                                var Pm = RZ[mt];
                                if (RZ.hasOwnProperty(mt)) {
                                    var Iy = String.fromCharCode(Pm);
                                    Bvj.push(Iy);
                                }
                            }
                            var GD = btoa(Bvj.join(""));
    return GD;
}





// console.log(encodeStr29('0' ,3391494669))
// console.log(encodeStr30('1709003020687' ,1887139459))


// console.log(encodeStr214({
//     "wK9uF0v24vP4pbAe07Y=": 1,
//     "wKdtB1Pl2/nro7ElwsP5rW7As88=": 10,
//     "waxtBEnp": false,
//     "uqdvF0H24g==": true,
//     "u7VpFkvwzvPwpaQsxq31nHa3": "debug",
//     "u7VpFkvwzvPwpaQsxq31nH27xrs=": true,
//     "wKduAlHyzfn+s6Um0bPmq3GzvsofCA==": false,
//     "wKduAj/l1QDrsKoYzcL2qA==": false,
//     "xrVpAkrl3f0CpaEd1Lzqr3LBvsk=": [],
//     "yKttFkX33fn6tA==": 1,
//     "zKtoE0v2ygYF": 0,
//     "yKttCUv21vX6o6cWzrD6oHvItcg=": {"y7trE0v23fnwn6cl08AAmn3LwLsj": ["element", "event", "first-input", "largest-contentful-paint", "layout-shift", "longtask", "mark", "measure", "navigation", "paint", "resource", "visibility-state"]},
//     "wKduAk/p1wj+uQ==": false
// }))

// console.log(encodeStr252(
// []))